<html>
<head>
<meta http-equiv=content-language content=zh-cn>
<meta http-equiv=content-type content="text/html; charset=gb2312">
<style>
 td { padding:2px 5px 2px 5px;}
</style>
<script language=javascript>
function Check_Form_Validator(theform)
{
	if ( !isIP(theform.ipAddress.value) )
	{
		alert('请输入合法的IP地址!');
		theform.ipAddress.focus();
		return false;
	}
}
function isIP(strIP) 
{ 
	if (isNull(strIP)) return false;
	var re=/^(\d+)\.(\d+)\.(\d+)\.(\d+)$/g //匹配IP地址的正则表达式
	if(re.test(strIP))
	{
		if( RegExp.$1 <256 && RegExp.$2<256 && RegExp.$3<256 && RegExp.$4<256) return true;
	}
	return false; 
} 
function isNull(str)
{
	if ( str == "" ) return true;
	var regu = "^[ ]+$";
	var re = new RegExp(regu);
	return re.test(str);
}
</script>
<link href="../CSS/Base.css" rel=stylesheet>
<meta content="mshtml 6.00.3790.0" name=generator></head>
<body oncontextmenu="return false" style="margin-top:0px">
  <table class=datatable style="line-height: 150%;border-collapse:collapse;" cellspacing=0 cellpadding=0 bordercolor=#b5cfd9 border=1 width=100%>
   <form name="Check_Form" onsubmit="return Check_Form_Validator(this)" method="post" action="">
     <div class=position>位置：&nbsp; 我的桌面 &raquo; IP地址锁定记录 &raquo; 新增锁定记录</div>
      <tr> 
         <td colspan="2" bgcolor="#f5f5f5"><b>新增系统锁定IP地址记录</b></td>
      </tr>
      <tr> 
         <td width="26%" height="25" >&nbsp;需锁定的IP地址：</td>
         <td> <input name="ipAddress" type="text" id="ipAddress" size=40></td>
      </tr></table>
	 <table width=100%>
     <tr><td width=26%></td>
         <td>
		    <input type="hidden" name="Action" value="IPLockAddSubmit"> 
            <input class=inputsubmit type="submit" name="submit" value="确定">&nbsp;<input class=inputsubmit type="button" name="close" value="关闭" onClick="javascript:parent.hidePopWin();"> 
        </td>
     </tr>
  </form></table>

  <table width="100%">
      <tr> 
        <td style="padding-left:0px"><img src="../Images/clerk.gif"><strong>：</strong>锁定IP地址记录将使该IP地址对应的用户不能登录系统</td>
      </tr>
  </table>
</body></html>
